For the complete documentation index, see llms.txt. This page is also available as Markdown.

Banking Backend

Manage banking backends in VARIO Cloud via API, including app endpoints, backend types, transaction handling, payments, status checks and activation.

Banking interfaces.

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

Label.

descriptionstringOptional

Description.

activebooleanRead-onlyOptional

Active.

Default: true
appIdstring · uuidOptional

External app identifier.

appTransactionUrlstringOptional

App URL for fetching transactions.

appPaymentUrlstringOptional

App URL for sending a payment or direct debit.

appStatusUrlstringOptional

App URL for fetching the payment or direct debit status.

backendTypestring · enumOptional

Backend type.

Possible values:
get/erp/bank/backend/{id}
GET /erp/bank/backend/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "active": true,
  "appId": "123e4567-e89b-12d3-a456-426614174000",
  "appTransactionUrl": "text",
  "appPaymentUrl": "text",
  "appStatusUrl": "text",
  "backendType": "OFFLINE"
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

Label.

descriptionstringOptional

Description.

activebooleanRead-onlyOptional

Active.

Default: true
appIdstring · uuidOptional

External app identifier.

appTransactionUrlstringOptional

App URL for fetching transactions.

appPaymentUrlstringOptional

App URL for sending a payment or direct debit.

appStatusUrlstringOptional

App URL for fetching the payment or direct debit status.

backendTypestring · enumOptional

Backend type.

Possible values:
Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

Label.

descriptionstringOptional

Description.

activebooleanRead-onlyOptional

Active.

Default: true
appIdstring · uuidOptional

External app identifier.

appTransactionUrlstringOptional

App URL for fetching transactions.

appPaymentUrlstringOptional

App URL for sending a payment or direct debit.

appStatusUrlstringOptional

App URL for fetching the payment or direct debit status.

backendTypestring · enumOptional

Backend type.

Possible values:
put/erp/bank/backend/{id}
PUT /erp/bank/backend/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 219

{
  "version": "text",
  "info": {},
  "id": "text",
  "label": "text",
  "description": "text",
  "appId": "123e4567-e89b-12d3-a456-426614174000",
  "appTransactionUrl": "text",
  "appPaymentUrl": "text",
  "appStatusUrl": "text",
  "backendType": "OFFLINE"
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "active": true,
  "appId": "123e4567-e89b-12d3-a456-426614174000",
  "appTransactionUrl": "text",
  "appPaymentUrl": "text",
  "appStatusUrl": "text",
  "backendType": "OFFLINE"
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/erp/bank/backend/{id}
DELETE /erp/bank/backend/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

Deactivate an existing resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

Label.

descriptionstringOptional

Description.

activebooleanRead-onlyOptional

Active.

Default: true
appIdstring · uuidOptional

External app identifier.

appTransactionUrlstringOptional

App URL for fetching transactions.

appPaymentUrlstringOptional

App URL for sending a payment or direct debit.

appStatusUrlstringOptional

App URL for fetching the payment or direct debit status.

backendTypestring · enumOptional

Backend type.

Possible values:
put/erp/bank/backend/{id}/deactivate
PUT /erp/bank/backend/{id}/deactivate HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "active": true,
  "appId": "123e4567-e89b-12d3-a456-426614174000",
  "appTransactionUrl": "text",
  "appPaymentUrl": "text",
  "appStatusUrl": "text",
  "backendType": "OFFLINE"
}

Activate an existing resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

Label.

descriptionstringOptional

Description.

activebooleanRead-onlyOptional

Active.

Default: true
appIdstring · uuidOptional

External app identifier.

appTransactionUrlstringOptional

App URL for fetching transactions.

appPaymentUrlstringOptional

App URL for sending a payment or direct debit.

appStatusUrlstringOptional

App URL for fetching the payment or direct debit status.

backendTypestring · enumOptional

Backend type.

Possible values:
put/erp/bank/backend/{id}/activate
PUT /erp/bank/backend/{id}/activate HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "active": true,
  "appId": "123e4567-e89b-12d3-a456-426614174000",
  "appTransactionUrl": "text",
  "appPaymentUrl": "text",
  "appStatusUrl": "text",
  "backendType": "OFFLINE"
}

Create new Resource

post
Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

Label.

descriptionstringOptional

Description.

activebooleanRead-onlyOptional

Active.

Default: true
appIdstring · uuidOptional

External app identifier.

appTransactionUrlstringOptional

App URL for fetching transactions.

appPaymentUrlstringOptional

App URL for sending a payment or direct debit.

appStatusUrlstringOptional

App URL for fetching the payment or direct debit status.

backendTypestring · enumOptional

Backend type.

Possible values:
Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

Label.

descriptionstringOptional

Description.

activebooleanRead-onlyOptional

Active.

Default: true
appIdstring · uuidOptional

External app identifier.

appTransactionUrlstringOptional

App URL for fetching transactions.

appPaymentUrlstringOptional

App URL for sending a payment or direct debit.

appStatusUrlstringOptional

App URL for fetching the payment or direct debit status.

backendTypestring · enumOptional

Backend type.

Possible values:
post/erp/bank/backend
POST /erp/bank/backend HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 219

{
  "version": "text",
  "info": {},
  "id": "text",
  "label": "text",
  "description": "text",
  "appId": "123e4567-e89b-12d3-a456-426614174000",
  "appTransactionUrl": "text",
  "appPaymentUrl": "text",
  "appStatusUrl": "text",
  "backendType": "OFFLINE"
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "active": true,
  "appId": "123e4567-e89b-12d3-a456-426614174000",
  "appTransactionUrl": "text",
  "appPaymentUrl": "text",
  "appStatusUrl": "text",
  "backendType": "OFFLINE"
}

Last updated

Was this helpful?